Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET connections/:id/topic

Ostatnia modyfikacja 2026-05-28 13:55:29

URL

https://your-system-name.thulium.com/api/connections/:id/topic

Parametry

id

wymagany

Unikalne ID połączenia. Przykładowa wartość: xxxxx

Przykładowy request

GET https://your-system-name.thulium.com/api/connections/123423.23/topic

Przykładowy response

{
    "topic_id": 96,
    "agent_login": "jan.kowalski",
    "comment": "komentarz do rozmowy",
    "custom_fields": [
        {
            "field_id": 1,
            "value": "pole 1 wartość"
        },
        {
            "field_id": 2,
            "value": "pole 2 wartość"
        }
    ]
}

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/connections/123423.23/topic');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/connections/123423.23/topic");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/connections/123423.23/topic"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/connections/123423.23/topic Accept:application/json